'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _Progress = require('./Progress');

var _Progress2 = _interopRequireDefault(_Progress);

var _context = require('../context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Progress', function () {
  it('returns the completion percentage', function () {
    var percentage = null;

    (0, _enzyme.mount)(_react2.default.createElement(
      _context2.default.Provider,
      {
        value: {
          activeStepIndex: 0,
          totalSteps: 4
        }
      },
      _react2.default.createElement(_Progress2.default, {
        render: function render(_ref) {
          var p = _ref.percentage;

          percentage = p;
          return null;
        }
      })
    ));

    expect(percentage).toEqual(25);
  });

  it('returns the completion percentage', function () {
    var percentage = null;

    (0, _enzyme.mount)(_react2.default.createElement(
      _context2.default.Provider,
      {
        value: {
          activeStepIndex: 1,
          totalSteps: 4
        }
      },
      _react2.default.createElement(_Progress2.default, {
        render: function render(_ref2) {
          var p = _ref2.percentage;

          percentage = p;
          return null;
        }
      })
    ));

    expect(percentage).toEqual(50);
  });

  it('returns the completion percentage', function () {
    var percentage = null;

    (0, _enzyme.mount)(_react2.default.createElement(
      _context2.default.Provider,
      {
        value: {
          activeStepIndex: 2,
          totalSteps: 4
        }
      },
      _react2.default.createElement(_Progress2.default, {
        render: function render(_ref3) {
          var p = _ref3.percentage;

          percentage = p;
          return null;
        }
      })
    ));

    expect(percentage).toEqual(75);
  });

  it('returns the completion percentage', function () {
    var percentage = null;

    (0, _enzyme.mount)(_react2.default.createElement(
      _context2.default.Provider,
      {
        value: {
          activeStepIndex: 3,
          totalSteps: 4
        }
      },
      _react2.default.createElement(_Progress2.default, {
        render: function render(_ref4) {
          var p = _ref4.percentage;

          percentage = p;
          return null;
        }
      })
    ));

    expect(percentage).toEqual(100);
  });
});