'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _context = require('../context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Navigation = function Navigation(_ref) {
  var children = _ref.children,
      render = _ref.render;
  return _react2.default.createElement(
    _context2.default.Consumer,
    null,
    function (context) {
      if (render) {
        return render(context);
      }

      return typeof children === 'function' ? children(context) : children;
    }
  );
};

Navigation.propTypes = {
  children: _propTypes2.default.oneOfType([_propTypes2.default.node, _propTypes2.default.func]),
  render: _propTypes2.default.func
};

exports.default = Navigation;