'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _context = require('../context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Steps = function Steps(_ref) {
  var children = _ref.children;
  return _react2.default.createElement(
    _context2.default.Consumer,
    null,
    function (_ref2) {
      var activeStepIndex = _ref2.activeStepIndex;
      return _react.Children.toArray(children)[activeStepIndex];
    }
  );
};

Steps.propTypes = {
  children: _propTypes2.default.node.isRequired
};

Steps.defaultProps = {
  isSteps: true
};

exports.default = Steps;