'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _Steps = require('./Steps');

var _Steps2 = _interopRequireDefault(_Steps);

var _context = require('../context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Steps', function () {
  it('renders the active step', function () {
    var FirstStep = function FirstStep() {
      return null;
    };
    var SecondStep = function SecondStep() {
      return null;
    };
    var activeStepIndex = 1;

    var wrapper = (0, _enzyme.mount)(_react2.default.createElement(
      _context2.default.Provider,
      { value: { activeStepIndex: activeStepIndex } },
      _react2.default.createElement(
        _Steps2.default,
        null,
        _react2.default.createElement(FirstStep, null),
        _react2.default.createElement(SecondStep, null)
      )
    ));

    expect(wrapper.contains(_react2.default.createElement(FirstStep, null))).toBe(false);
    expect(wrapper.contains(_react2.default.createElement(SecondStep, null))).toBe(true);
  });
});